Update a specific incident_permission_set by id
curl --request PUT \
--url https://api.rootly.com/v1/incident_permission_sets/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "incident_permission_sets",
"attributes": {
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"private_incident_permissions": [
"create"
],
"public_incident_permissions": [
"create"
]
}
}
}
'{
"data": {
"id": "a6243993-6979-42ad-8369-b33774e2afb8",
"type": "incident_permission_sets",
"attributes": {
"team_id": 344,
"name": "Security",
"slug": "sunt-asperiores-perferendis-in",
"description": "Et reprehenderit dolorem sunt.",
"private_incident_permissions": [
"read"
],
"public_incident_permissions": [
"read"
],
"updated_at": "2026-01-23T22:57:55.841-08:00",
"created_at": "2026-01-23T22:57:55.689-08:00"
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Resource UUID
Show child attributes
incident_permission_set updated
Show child attributes
Was this page helpful?
curl --request PUT \
--url https://api.rootly.com/v1/incident_permission_sets/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "incident_permission_sets",
"attributes": {
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"private_incident_permissions": [
"create"
],
"public_incident_permissions": [
"create"
]
}
}
}
'{
"data": {
"id": "a6243993-6979-42ad-8369-b33774e2afb8",
"type": "incident_permission_sets",
"attributes": {
"team_id": 344,
"name": "Security",
"slug": "sunt-asperiores-perferendis-in",
"description": "Et reprehenderit dolorem sunt.",
"private_incident_permissions": [
"read"
],
"public_incident_permissions": [
"read"
],
"updated_at": "2026-01-23T22:57:55.841-08:00",
"created_at": "2026-01-23T22:57:55.689-08:00"
}
}
}